TechSpot

ATI Catalyst Instalation Prob

By rross48
Jan 16, 2007
  1. Sorry if this has already been posted but i couldnt find it...

    I have had a ATI Radeon 9250 for a couple eyars and it has worked smoothly all this time. But when i download and try 2 install ATI Catalyst (Any version) it come up and says "Setup did not find a driver compatable with your current hardware or operating system. Setup will now exit." Then i click OK and it comes up with another message saying "Setup was unable to complete the installation. Try to setup your display adapter with a standard VGA driver before running setup."...
    Now this is confusing 2 me because i can install whats on the original disk that came with the video card but none other. Is what it is saying true? and what the heck is a VGA driver?
    If so what can i do or need 2 do?

    Im using Windows XP Pro SP2!


    Thanx in advance.
     
  2. nismo91

    nismo91 TS Guru Posts: 1,004   +11

    Hmm this sounds ridiculous but,
    Do you try to install ATI MOBILITY CATALYST?
    Usually the problems arise when the catalyst version is not compatible with VGA card, such as u install ati catalyst 7.1 in your machine now...

    btw the catalyst for your system should be 6.4-6.6 (i forgot exactly)

    ATI RADEON itself is a VGA card, and hence, VGA driver is the DRIVER controlling your card...
     
  3. rross48

    rross48 TS Rookie Topic Starter Posts: 45

    I got it off a APC magazine DVD... (Its an Australian Magazine that come with a free DVD with utilities on it) its the latest version "6.10 for Windows XP" and it says on the description "This is the Driver bundle for all radeon-branded ATI cards." It also says it "contains the WDM capture driver for use in ALL-In-Wonder cards."
    When i go 2 install it it says its "6-10_xp-2K_dd_ccc_wdm_enu_36790"
    Dont know if this helps or not?
    I hope im not stupid enough 2 b installing the Mobility pack lol.
    Thanx 4 the reply!
     
  4. nismo91

    nismo91 TS Guru Posts: 1,004   +11

    haha good if you don;t install the wrong one, but, but, 6.10 is not supported in 9250 radeon cards. You can refer to google about this compatibility.

    I guess you should use 6.5 or earlier... So my another suggestion is do a proper FULL-UNINSTALLATION until the "new-hardware-wizard" pop-up coming. Then you should install correct catalyst and restart.
     
  5. rross48

    rross48 TS Rookie Topic Starter Posts: 45

    well the version 6.10 wouldnt install. so its not on my computer. I have already tried uninstalling and reinstalling but it still doesnt work.
    I went onto the ATI site and looked up ATI Catalyst driver and it asked for all of my information and it reccomended me for the 6.11 version thats out now. Even though i told it that i had a radeon 9250. But ur right... 6.3 does work for my computer. thats the latest ive got though.
     
  6. nismo91

    nismo91 TS Guru Posts: 1,004   +11

    I've double check in the http://www.omegadrivers.net and it's correct that you still can use 6.4 or 6.5 as the last catalyst. I guess it should be better than 6.3 ....
     
  7. Rage_3K_Moiz

    Rage_3K_Moiz Sith Lord Posts: 7,291   +25

    ATi Catalyst v6.5 is the last one that works for any Radeon 92xx variant. So that's the best driver available for ur card.
     
  8. Tmagic650

    Tmagic650 TS Ambassador Posts: 21,061   +169

    Don't forget that Microsoft's NET Framework needs to be installed for the Catalyst Control Center too
     
  9. rross48

    rross48 TS Rookie Topic Starter Posts: 45

    OK thanx it worx now... Its stupid how they quit releasing drivers 4 my card. Hopefully cause its at the best it can b. lol
     
Topic Status:
Not open for further replies.


Add New Comment

TechSpot Members
Login or sign up for free,
it takes about 30 seconds.
You may also...


Get complete access to the TechSpot community. Join thousands of technology enthusiasts that contribute and share knowledge in our forum. Get a private inbox, upload your own photo gallery and more.